FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Widget.H File Reference

Fl_Widget and Fl_Label classes. More...

`#include "Fl.H"`

Go to the source code of this file.

## Classes
class | Fl_Callback_User_Data
| A class prototype that allows for additional data in callbacks. More...
struct | Fl_Label
| This struct stores all information for a text or mixed graphics label. More...
class | Fl_Widget
| Fl_Widget is the base class for all widgets in FLTK. More...

## Macros
#define | FL_RESERVED_TYPE 100
| Reserved type numbers (necessary for my cheapo RTTI) start here.

## Typedefs
typedef void | Fl_Callback(Fl_Widget *, void *)
| Default callback type definition for all fltk widgets (by far the most used).
typedef void | Fl_Callback0(Fl_Widget *)
| One parameter callback type definition passing only the widget.
typedef void | Fl_Callback1(Fl_Widget *, long)
| Callback type definition passing the widget and a long data value.
typedef Fl_Callback * | Fl_Callback_p
| Default callback type pointer definition for all fltk widgets.

## Detailed Description

Fl_Widget and Fl_Label classes.

## Macro Definition Documentation

## ◆ FL_RESERVED_TYPE

#define FL_RESERVED_TYPE 100

Reserved type numbers (necessary for my cheapo RTTI) start here.

Grep the header files for "RESERVED_TYPE" to find the next available number.